* [gentoo-commits] proj/udev-gentoo-scripts:master commit in: init.d/
@ 2012-08-01 16:22 99% William Hubbs
0 siblings, 0 replies; 1+ results
From: William Hubbs @ 2012-08-01 16:22 UTC (permalink / raw
To: gentoo-commits
commit: 89c2380217053bfbc7769f95124102d07db94976
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 1 16:21:05 2012 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Wed Aug 1 16:21:05 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/udev-gentoo-scripts.git;a=commit;h=89c23802
Add reload command for bug #403217
---
init.d/udev | 9 +++++++++
1 files changed, 9 insertions(+), 0 deletions(-)
diff --git a/init.d/udev b/init.d/udev
index 33b0335..5247b84 100644
--- a/init.d/udev
+++ b/init.d/udev
@@ -5,6 +5,8 @@
command=/usr/lib/systemd/systemd-udevd
command_args="--daemon ${udev_opts}"
description="udev manages device permissions and symbolic links in /dev"
+extra_started_commands="reload"
+description_reload="Reload the udev rules and databases"
rc_coldplug=${rc_coldplug:-${RC_COLDPLUG:-YES}}
udev_debug="${udev_debug:-no}"
@@ -177,3 +179,10 @@ start_post()
display_hotplugged_services
return 0
}
+
+reload()
+{
+ ebegin "reloading udev rules and databases"
+ udevadm control --reload
+ eend $?
+}
^ permalink raw reply related [relevance 99%]
Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2012-08-01 16:22 99% [gentoo-commits] proj/udev-gentoo-scripts:master commit in: init.d/ William Hubbs
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox